//the incoming vertex' position
attribute vec4 position;

// Uniform
uniform mat4 projection;
uniform mat4 modelview;
uniform vec4 color;

//and its color
attribute vec4 colorVector;

//the varying statement tells the shader pipeline that this variable
//has to be passed on to the next stage (so the fragment shader)
varying lowp vec4 colorVarying;

//the shader entry point is the main method
void main()
{    
    gl_Position = projection * modelview * position;

    colorVarying = color; //save the color for the fragment shader
}
